package com.ygtx.gxt.domain;

import com.ygtx.common.annotation.Excel;
import com.ygtx.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 维修项目得分对象 gxt_user_repair_project_score
 * 
 * @author ruoyi
 * @date 2025-11-06
 */
public class GxtUserRepairProjectScore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    private Long deptId;

    /** 参修人员 */
    @Excel(name = "参修人员")
    private String userName;

    /** 检修项目类型 */
    @Excel(name = "检修项目类型")
    private String maintenanceType;

    /** 工单数量 */
    @Excel(name = "工单数量")
    private Integer orderCount;

    /** 项目分值 */
    @Excel(name = "项目分值")
    private BigDecimal projectScore;

    /** 计算得分(工单数量×分值) */
    @Excel(name = "计算得分(工单数量×分值)")
    private BigDecimal calculatedScore;

    /** 统计月份 */
    @Excel(name = "统计月份")
    private String monthPeriod;

    /** 总得分 */
    @Excel(name = "总得分")
    private BigDecimal totalScore;

    private String permission;

    public String getPermission() {
        return permission;
    }

    public void setPermission(String permission) {
        this.permission = permission;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }

    public String getMaintenanceType() {
        return maintenanceType;
    }

    public void setMaintenanceType(String maintenanceType) {
        this.maintenanceType = maintenanceType;
    }

    public void setOrderCount(Integer orderCount)
    {
        this.orderCount = orderCount;
    }

    public Integer getOrderCount() 
    {
        return orderCount;
    }
    public void setProjectScore(BigDecimal projectScore) 
    {
        this.projectScore = projectScore;
    }

    public BigDecimal getProjectScore() 
    {
        return projectScore;
    }
    public void setCalculatedScore(BigDecimal calculatedScore) 
    {
        this.calculatedScore = calculatedScore;
    }

    public BigDecimal getCalculatedScore() 
    {
        return calculatedScore;
    }
    public void setMonthPeriod(String monthPeriod) 
    {
        this.monthPeriod = monthPeriod;
    }

    public String getMonthPeriod() 
    {
        return monthPeriod;
    }

    public BigDecimal getTotalScore() 
    {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) 
    {
        this.totalScore = totalScore;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("maintenanceType", getMaintenanceType())
            .append("orderCount", getOrderCount())
            .append("projectScore", getProjectScore())
            .append("calculatedScore", getCalculatedScore())
            .append("monthPeriod", getMonthPeriod())
            .append("totalScore", getTotalScore())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}